IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/50
Addresses2^78
/64 networks16,384
- Network
2001:db8:0:4000::/50- First address
2001:db8:0:4000::- Last address
2001:db8:0:7fff:ffff:ffff:ffff:ffff- Addresses
- 302,231,454,903,657,293,676,544 (2^78)
- /64 networks (LANs)
- 16,384
- Full form
2001:0db8:0000:4000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zones
4.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa5.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa6.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa7.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
/50 is not on a 4-bit boundary, so it takes 4 /52 zones.
Split into smaller subnets
2001:db8:0:4000::/50 makes 1,024 subnets of /60; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:4000::/60 | 2001:db8:0:400f:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:4010::/60 | 2001:db8:0:401f:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:4020::/60 | 2001:db8:0:402f:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:4030::/60 | 2001:db8:0:403f:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:4040::/60 | 2001:db8:0:404f:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:4050::/60 | 2001:db8:0:405f:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:4060::/60 | 2001:db8:0:406f:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:4070::/60 | 2001:db8:0:407f:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:4080::/60 | 2001:db8:0:408f:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:4090::/60 | 2001:db8:0:409f:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:40a0::/60 | 2001:db8:0:40af:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:40b0::/60 | 2001:db8:0:40bf:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:40c0::/60 | 2001:db8:0:40cf:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:40d0::/60 | 2001:db8:0:40df:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:40e0::/60 | 2001:db8:0:40ef:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:40f0::/60 | 2001:db8:0:40ff:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:4100::/60 | 2001:db8:0:410f:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:4110::/60 | 2001:db8:0:411f:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:4120::/60 | 2001:db8:0:412f:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:4130::/60 | 2001:db8:0:413f:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:4140::/60 | 2001:db8:0:414f:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:4150::/60 | 2001:db8:0:415f:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:4160::/60 | 2001:db8:0:416f:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:4170::/60 | 2001:db8:0:417f:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:4180::/60 | 2001:db8:0:418f:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:4190::/60 | 2001:db8:0:419f:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:41a0::/60 | 2001:db8:0:41af:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:41b0::/60 | 2001:db8:0:41bf:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:41c0::/60 | 2001:db8:0:41cf:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:41d0::/60 | 2001:db8:0:41df:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:41e0::/60 | 2001:db8:0:41ef:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:41f0::/60 | 2001:db8:0:41ff:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:4200::/60 | 2001:db8:0:420f:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:4210::/60 | 2001:db8:0:421f:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:4220::/60 | 2001:db8:0:422f:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:4230::/60 | 2001:db8:0:423f:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:4240::/60 | 2001:db8:0:424f:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:4250::/60 | 2001:db8:0:425f:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:4260::/60 | 2001:db8:0:426f:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:4270::/60 | 2001:db8:0:427f:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:4280::/60 | 2001:db8:0:428f:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:4290::/60 | 2001:db8:0:429f:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:42a0::/60 | 2001:db8:0:42af:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:42b0::/60 | 2001:db8:0:42bf:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:42c0::/60 | 2001:db8:0:42cf:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:42d0::/60 | 2001:db8:0:42df:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:42e0::/60 | 2001:db8:0:42ef:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:42f0::/60 | 2001:db8:0:42ff:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:4300::/60 | 2001:db8:0:430f:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:4310::/60 | 2001:db8:0:431f:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:4320::/60 | 2001:db8:0:432f:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:4330::/60 | 2001:db8:0:433f:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:4340::/60 | 2001:db8:0:434f:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:4350::/60 | 2001:db8:0:435f:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:4360::/60 | 2001:db8:0:436f:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:4370::/60 | 2001:db8:0:437f:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:4380::/60 | 2001:db8:0:438f:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:4390::/60 | 2001:db8:0:439f:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:43a0::/60 | 2001:db8:0:43af:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:43b0::/60 | 2001:db8:0:43bf:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:43c0::/60 | 2001:db8:0:43cf:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:43d0::/60 | 2001:db8:0:43df:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:43e0::/60 | 2001:db8:0:43ef:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:43f0::/60 | 2001:db8:0:43ff:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:4400::/60 | 2001:db8:0:440f:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:4410::/60 | 2001:db8:0:441f:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:4420::/60 | 2001:db8:0:442f:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:4430::/60 | 2001:db8:0:443f:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:4440::/60 | 2001:db8:0:444f:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:4450::/60 | 2001:db8:0:445f:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:4460::/60 | 2001:db8:0:446f:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:4470::/60 | 2001:db8:0:447f:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:4480::/60 | 2001:db8:0:448f:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:4490::/60 | 2001:db8:0:449f:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:44a0::/60 | 2001:db8:0:44af:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:44b0::/60 | 2001:db8:0:44bf:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:44c0::/60 | 2001:db8:0:44cf:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:44d0::/60 | 2001:db8:0:44df:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:44e0::/60 | 2001:db8:0:44ef:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:44f0::/60 | 2001:db8:0:44ff:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:4500::/60 | 2001:db8:0:450f:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:4510::/60 | 2001:db8:0:451f:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:4520::/60 | 2001:db8:0:452f:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:4530::/60 | 2001:db8:0:453f:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:4540::/60 | 2001:db8:0:454f:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:4550::/60 | 2001:db8:0:455f:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:4560::/60 | 2001:db8:0:456f:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:4570::/60 | 2001:db8:0:457f:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:4580::/60 | 2001:db8:0:458f:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:4590::/60 | 2001:db8:0:459f:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:45a0::/60 | 2001:db8:0:45af:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:45b0::/60 | 2001:db8:0:45bf:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:45c0::/60 | 2001:db8:0:45cf:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:45d0::/60 | 2001:db8:0:45df:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:45e0::/60 | 2001:db8:0:45ef:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:45f0::/60 | 2001:db8:0:45ff:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:4600::/60 | 2001:db8:0:460f:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:4610::/60 | 2001:db8:0:461f:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:4620::/60 | 2001:db8:0:462f:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:4630::/60 | 2001:db8:0:463f:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:4640::/60 | 2001:db8:0:464f:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:4650::/60 | 2001:db8:0:465f:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:4660::/60 | 2001:db8:0:466f:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:4670::/60 | 2001:db8:0:467f:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:4680::/60 | 2001:db8:0:468f:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:4690::/60 | 2001:db8:0:469f:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:46a0::/60 | 2001:db8:0:46af:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:46b0::/60 | 2001:db8:0:46bf:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:46c0::/60 | 2001:db8:0:46cf:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:46d0::/60 | 2001:db8:0:46df:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:46e0::/60 | 2001:db8:0:46ef:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:46f0::/60 | 2001:db8:0:46ff:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:4700::/60 | 2001:db8:0:470f:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:4710::/60 | 2001:db8:0:471f:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:4720::/60 | 2001:db8:0:472f:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:4730::/60 | 2001:db8:0:473f:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:4740::/60 | 2001:db8:0:474f:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:4750::/60 | 2001:db8:0:475f:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:4760::/60 | 2001:db8:0:476f:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:4770::/60 | 2001:db8:0:477f:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:4780::/60 | 2001:db8:0:478f:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:4790::/60 | 2001:db8:0:479f:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:47a0::/60 | 2001:db8:0:47af:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:47b0::/60 | 2001:db8:0:47bf:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:47c0::/60 | 2001:db8:0:47cf:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:47d0::/60 | 2001:db8:0:47df:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:47e0::/60 | 2001:db8:0:47ef:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:47f0::/60 | 2001:db8:0:47ff:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:4800::/60 | 2001:db8:0:480f:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:4810::/60 | 2001:db8:0:481f:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:4820::/60 | 2001:db8:0:482f:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:4830::/60 | 2001:db8:0:483f:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:4840::/60 | 2001:db8:0:484f:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:4850::/60 | 2001:db8:0:485f:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:4860::/60 | 2001:db8:0:486f:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:4870::/60 | 2001:db8:0:487f:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:4880::/60 | 2001:db8:0:488f:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:4890::/60 | 2001:db8:0:489f:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:48a0::/60 | 2001:db8:0:48af:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:48b0::/60 | 2001:db8:0:48bf:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:48c0::/60 | 2001:db8:0:48cf:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:48d0::/60 | 2001:db8:0:48df:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:48e0::/60 | 2001:db8:0:48ef:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:48f0::/60 | 2001:db8:0:48ff:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:4900::/60 | 2001:db8:0:490f:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:4910::/60 | 2001:db8:0:491f:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:4920::/60 | 2001:db8:0:492f:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:4930::/60 | 2001:db8:0:493f:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:4940::/60 | 2001:db8:0:494f:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:4950::/60 | 2001:db8:0:495f:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:4960::/60 | 2001:db8:0:496f:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:4970::/60 | 2001:db8:0:497f:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:4980::/60 | 2001:db8:0:498f:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:4990::/60 | 2001:db8:0:499f:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:49a0::/60 | 2001:db8:0:49af:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:49b0::/60 | 2001:db8:0:49bf:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:49c0::/60 | 2001:db8:0:49cf:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:49d0::/60 | 2001:db8:0:49df:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:49e0::/60 | 2001:db8:0:49ef:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:49f0::/60 | 2001:db8:0:49ff:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:4a00::/60 | 2001:db8:0:4a0f:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:4a10::/60 | 2001:db8:0:4a1f:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:4a20::/60 | 2001:db8:0:4a2f:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:4a30::/60 | 2001:db8:0:4a3f:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:4a40::/60 | 2001:db8:0:4a4f:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:4a50::/60 | 2001:db8:0:4a5f:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:4a60::/60 | 2001:db8:0:4a6f:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:4a70::/60 | 2001:db8:0:4a7f:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:4a80::/60 | 2001:db8:0:4a8f:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:4a90::/60 | 2001:db8:0:4a9f:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:4aa0::/60 | 2001:db8:0:4aaf:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:4ab0::/60 | 2001:db8:0:4abf:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:4ac0::/60 | 2001:db8:0:4acf:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:4ad0::/60 | 2001:db8:0:4adf:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:4ae0::/60 | 2001:db8:0:4aef:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:4af0::/60 | 2001:db8:0:4aff:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:4b00::/60 | 2001:db8:0:4b0f:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:4b10::/60 | 2001:db8:0:4b1f:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:4b20::/60 | 2001:db8:0:4b2f:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:4b30::/60 | 2001:db8:0:4b3f:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:4b40::/60 | 2001:db8:0:4b4f:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:4b50::/60 | 2001:db8:0:4b5f:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:4b60::/60 | 2001:db8:0:4b6f:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:4b70::/60 | 2001:db8:0:4b7f:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:4b80::/60 | 2001:db8:0:4b8f:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:4b90::/60 | 2001:db8:0:4b9f:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:4ba0::/60 | 2001:db8:0:4baf:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:4bb0::/60 | 2001:db8:0:4bbf:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:4bc0::/60 | 2001:db8:0:4bcf:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:4bd0::/60 | 2001:db8:0:4bdf:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:4be0::/60 | 2001:db8:0:4bef:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:4bf0::/60 | 2001:db8:0:4bff:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:4c00::/60 | 2001:db8:0:4c0f:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:4c10::/60 | 2001:db8:0:4c1f:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:4c20::/60 | 2001:db8:0:4c2f:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:4c30::/60 | 2001:db8:0:4c3f:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:4c40::/60 | 2001:db8:0:4c4f:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:4c50::/60 | 2001:db8:0:4c5f:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:4c60::/60 | 2001:db8:0:4c6f:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:4c70::/60 | 2001:db8:0:4c7f:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:4c80::/60 | 2001:db8:0:4c8f:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:4c90::/60 | 2001:db8:0:4c9f:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:4ca0::/60 | 2001:db8:0:4caf:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:4cb0::/60 | 2001:db8:0:4cbf:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:4cc0::/60 | 2001:db8:0:4ccf:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:4cd0::/60 | 2001:db8:0:4cdf:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:4ce0::/60 | 2001:db8:0:4cef:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:4cf0::/60 | 2001:db8:0:4cff:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:4d00::/60 | 2001:db8:0:4d0f:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:4d10::/60 | 2001:db8:0:4d1f:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:4d20::/60 | 2001:db8:0:4d2f:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:4d30::/60 | 2001:db8:0:4d3f:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:4d40::/60 | 2001:db8:0:4d4f:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:4d50::/60 | 2001:db8:0:4d5f:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:4d60::/60 | 2001:db8:0:4d6f:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:4d70::/60 | 2001:db8:0:4d7f:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:4d80::/60 | 2001:db8:0:4d8f:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:4d90::/60 | 2001:db8:0:4d9f:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:4da0::/60 | 2001:db8:0:4daf:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:4db0::/60 | 2001:db8:0:4dbf:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:4dc0::/60 | 2001:db8:0:4dcf:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:4dd0::/60 | 2001:db8:0:4ddf:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:4de0::/60 | 2001:db8:0:4def:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:4df0::/60 | 2001:db8:0:4dff:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:4e00::/60 | 2001:db8:0:4e0f:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:4e10::/60 | 2001:db8:0:4e1f:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:4e20::/60 | 2001:db8:0:4e2f:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:4e30::/60 | 2001:db8:0:4e3f:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:4e40::/60 | 2001:db8:0:4e4f:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:4e50::/60 | 2001:db8:0:4e5f:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:4e60::/60 | 2001:db8:0:4e6f:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:4e70::/60 | 2001:db8:0:4e7f:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:4e80::/60 | 2001:db8:0:4e8f:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:4e90::/60 | 2001:db8:0:4e9f:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:4ea0::/60 | 2001:db8:0:4eaf:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:4eb0::/60 | 2001:db8:0:4ebf:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:4ec0::/60 | 2001:db8:0:4ecf:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:4ed0::/60 | 2001:db8:0:4edf:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:4ee0::/60 | 2001:db8:0:4eef:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:4ef0::/60 | 2001:db8:0:4eff:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:4f00::/60 | 2001:db8:0:4f0f:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:4f10::/60 | 2001:db8:0:4f1f:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:4f20::/60 | 2001:db8:0:4f2f:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:4f30::/60 | 2001:db8:0:4f3f:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:4f40::/60 | 2001:db8:0:4f4f:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:4f50::/60 | 2001:db8:0:4f5f:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:4f60::/60 | 2001:db8:0:4f6f:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:4f70::/60 | 2001:db8:0:4f7f:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:4f80::/60 | 2001:db8:0:4f8f:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:4f90::/60 | 2001:db8:0:4f9f:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:4fa0::/60 | 2001:db8:0:4faf:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:4fb0::/60 | 2001:db8:0:4fbf:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:4fc0::/60 | 2001:db8:0:4fcf:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:4fd0::/60 | 2001:db8:0:4fdf:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:4fe0::/60 | 2001:db8:0:4fef:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:4ff0::/60 | 2001:db8:0:4fff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |